<?xml version="1.0" encoding="UTF-8"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html"/>
  
  <xsl:template match="doc">
		<html>
		<head>
			<title><xsl:value-of select="@name"/></title>
			<link rel="stylesheet" type="text/css2" href="foo.css"/>
		</head>
		<body>
		  <table width="100%" border="0" cellpadding="0" cellspacing="0">
			<tr>
			  <td>
				<table width="100%" border="0" cellspacing="1" cellpadding="0">
				  <tr>
					<td height="15" width="140" nowrap="yes">
					  <table width="100%" height="15" border="0" cellpadding="0" cellspacing="0">
						<tr>
						  <td class="tablehead">Name</td>    
						</tr>
					  </table>
					</td>
					<td height="15" width="140" nowrap="yes">
					  <table width="100%" height="15" border="0" cellpadding="0" cellspacing="0">
						<tr>
						  <td class="tablehead">Modification Date</td>    
						</tr>
					  </table>
					</td>
					<td height="15" nowrap="yes">
					  <table width="100%" height="15" border="0" cellpadding="0" cellspacing="0">
						<tr>
						  <td class="tablehead">Path</td>    
						</tr>
					  </table>
					</td>
				  </tr>
				
				  <xsl:apply-templates/>
	
				</table>
			  </td>
			</tr>
		  </table>
		</body>
		</html>

  </xsl:template>

  <xsl:template match="row">

		<xsl:variable name="rowStyle">
			<xsl:choose>
				<xsl:when test='(position() mod 2) = 1'>oddRow</xsl:when> <!-- this isn't working -->
				<xsl:otherwise>evenRow</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>

	    <tr valign="top"><xsl:attribute name='class'><xsl:value-of select='$rowStyle'/></xsl:attribute>
		  <td height="14" width="140" class="tabletext">
			<xsl:value-of select="./name"/>
		  </td>
		  <td height="14" width="140" class="tabletext">
			<xsl:value-of select="./date"/>
		  </td>
		  <td height="14" width="100%" class="tabletext">
			<xsl:value-of select="./path"/>
		  </td>
	    </tr>
  </xsl:template>
</xsl:stylesheet>
